ZoneID API (2.0)

Download OpenAPI specification:Download

ZoneID APIv2 is JSON based RESTful API for managing Domain, Webhosting, Cloudserver VPS and DNS services.

Authorization

HTTP basic auth is used for authentication:

  • username is ZoneID username
  • password is API key that can be generated under ZoneID account management

Use following header:

Authorization: Basic base64(zoneid_username:zoneid_api_token)

basic_auth

Security Scheme Type HTTP
HTTP Authorization Scheme basic

URL format and usage

URLs are built as:

https://api.zone.eu/v2/{service_type}/{service_name}/{resource_name*}/{resource_identificator*}

Where

{service_type} is

  • Domain: domain
  • Webhosting: vserver
  • DNS: dns
  • Cloudserver VPS: cloud

{service_name} is

  • Domain: domain name (e.g. example.com)
  • Webhosting: virtual server name (e.g. example.com)
  • DNS: Nameserver zone name (e.g. example.com)
  • Cloudserver VPS: VPS host name (e.g. uvn-XX-XXX.tll01.zonevs.eu)

Additional child endpoints may follow as /{child}/{child_identificator*}

* optional

For example to get single DNS A record, we use following url:

https://api.zone.eu/v2/dns/example.com/a/1

or to get all DNS A Records, we use following url:

https://api.zone.eu/v2/dns/example.com/a

There is exception for service ordering endpoints where path is build as:

https://api.zone.eu/v2/order/{service_type}

Requests

Request types are divided into 4 separate HTTP codes.

Code Description
GET Access one or more resource. All resources are returned in array. Single resources are returned as single array element. When accessing single resourse, then URL must end with giver resource identificator
POST Create new resource. Resouce data in JSON structure should be sent in request body. Generated resource is returned in response as single array element.
PUT Update existing resource. URL must contain given resource identificator of resource that is updated. Otherwise same as POST request
DELETE Delete existing resource. URL must contain given resource identificator.

Responses

Standard HTTP status codes are used to give feedback about operation. In addition, human readable response message is sent in header X-Status-Message. Using response message in your scripts is not recommended as these may change without warning. Descriptions of all HTTP standard status codes are here. Most commonly used in ZoneID API are:

Code Description
200 successful GET request
201 successful POST/PUT request
202 successful POST/PUT request in case request was accepted, but will be processed later (for example ordering new services)
204 successful DELETE request
422 unsuccessful request in case resource in request has validation errors. Error codes in response are in same structure as resource itself.
400 unsuccessful request in case request itself is invalid
402 unsuccessful request in case payment is required for further actions. Mostly used when package upgrade is required.
409 unsuccessful request in case there is a conflict with the current state of the target resource. Mostly it indicates a concurrent request.

Rate limit

The number of request is limited to 60 per minute per IP.

Rate limit information is contained in every response headers.

  • X-Ratelimit-Limit The number of request that is allowed to be made in a minute
  • X-Ratelimit-Remaining The number of remaining requests until reset

If you have reached the rate limit, then HTTP response code 429 is returned

Use common sense

Don't create requests without need. Don't update resources that are not modified and don't ask for data that you already know.

For example when writing custom dynamic DNS style script for DNS A record, then.

  • Update IP only when it's changed and don't post same data again.
  • Keep track of last IP on your side and don't ask it from API after every n minutes to compare it with current one.

Pagination and sorting

On some GET endpoints we have enabled pagination. In that case there is header x-pager-enabled is sent in response.

Response headers describing pager:

Header Description
x-pager-enabled 1 when pager is enabled
x-pager-page Current page number
x-pager-pages Total number of pages
x-pager-limit Items per page
x-pager-items Total number of items

Request headers to use pager:

Header Description
x-pager-page Current page number
x-pager-limit Items per page. Default is 10 and maximum is 100
x-order-by Sort by field. Sortable fields are described in Resource documentation
x-order-dir Sort direction: asc or desc

Examples

Example CURL request to get DNS A record

curl -X GET https://api.zone.eu/v2/dns/example.com/a/1 \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic em9uZWRfdXNlcm5hbWU6em9uZWlkX2FwaV9rZXk='

Example CURL request to create DNS A record

curl -X POST https://api.zone.eu/v2/dns/example.com/a \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic em9uZWRfdXNlcm5hbWU6em9uZWlkX2FwaV9rZXk=' \
-d '{"name": "prefix.example.com","destination": "123.123.123.123"}'

Successful GET, POST and PUT responses always contain requested (or created/updated) resource(s). For example:

[
    {
        "id": "123",
        "resource_url": "https://api.zone.eu/v2/dns/example.com/a/123",
        "name": "prefix.example.com",
        "destination": "123.123.123.123",
        "delete": true,
        "modify": true
    }
]

DNS

Get DNS zone

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

identificator
string

identificator

active
boolean

Is zone active

ipv6
boolean

Are ipv6 records allowed

Response samples

Content type
application/json
[
  • {
    }
]

Update DNS zone

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

identificator
string

identificator

active
boolean

Is zone active

ipv6
boolean

Are ipv6 records allowed

Response samples

Content type
application/json
[
  • {
    }
]

A record

get Zone A records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

IPv4

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create A record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

IPv4

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

IPv4

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get A record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

IPv4

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update A record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

IPv4

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

IPv4

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete A record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

AAAA record

get Zone AAAA records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

IPv6

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create AAAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

IPv6

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

IPv6

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get AAAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

IPv6

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update AAAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

IPv6

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

IPv6

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete AAAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

NS record

get Zone NS records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create NS record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get NS record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update NS record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete NS record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

MX record

get Zone MX records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create MX record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
priority
integer

Priority

destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get MX record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update MX record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
priority
integer

Priority

destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete MX record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

CNAME record

get Zone CNAME records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create CNAME record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get CNAME record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update CNAME record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

Destination

name
string

Hostname

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

destination
string

Destination

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete CNAME record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

TXT record

get Zone TXT records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

TXT content value

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create TXT record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

TXT content value

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

TXT content value

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get TXT record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

TXT content value

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update TXT record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

TXT content value

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

TXT content value

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete TXT record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

SSHFP record

get Zone SSHFP records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create SSHFP record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

name
string

Hostname

Responses

Response Schema: application/json
Array ()
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get SSHFP record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update SSHFP record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

name
string

Hostname

Responses

Response Schema: application/json
Array ()
algorithm
integer

Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519

type
integer

Type: 1=SHA-1, 2=SHA-256

destination
string

Fingerprint

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete SSHFP record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

SRV record

get Zone SRV records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create SRV record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

name
string

Hostname

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get SRV record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update SRV record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

name
string

Hostname

Responses

Response Schema: application/json
Array ()
priority
integer

Priority

weight
integer

Weight

port
integer

Port

destination
string

Target

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete SRV record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

URL record

get Zone URL records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create URL record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get URL record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update URL record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

URL where hostname is redirected to

type
integer
Default: "301"

Redirect HTTP redirect status code. Accepted values are 301 and 302

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete URL record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

CAA record

get Zone CAA records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
destination
string

Value

flag
integer

Flag

tag
string

Tag

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create CAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
destination
string

Value

flag
integer

Flag

tag
string

Tag

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

Value

flag
integer

Flag

tag
string

Tag

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get CAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
destination
string

Value

flag
integer

Flag

tag
string

Tag

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update CAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
destination
string

Value

flag
integer

Flag

tag
string

Tag

name
string

Hostname

Responses

Response Schema: application/json
Array ()
destination
string

Value

flag
integer

Flag

tag
string

Tag

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete CAA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

TLSA record

get Zone TLSA records

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Create TLSA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

name
string

Hostname

Responses

Response Schema: application/json
Array ()
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

get TLSA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Response samples

Content type
application/json
[
  • {
    }
]

Update TLSA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

name
string

Hostname

Responses

Response Schema: application/json
Array ()
certificate_usage
integer

Certificate usage: 0-3

selector
integer

selector: 0-1

matching_type
integer

Matching type: 0-2

destination
string

Certificate Association Data

resource_url
string

API url to get this entity

id
integer

identificator

name
string

Hostname

delete
boolean

Can this record be deleted

modify
boolean

Can this record be modified

comment
string

Comment

Request samples

Content type
application/json
{
  • "destination": "server.example.com",
  • "name": "prefix.example.com"
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete TLSA record

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

E-mail

Display listing of E-mail accounts

Returns list of emails. Possible x-order-by values are created, address and disk_usage.

Authorizations:
path Parameters
service_name
required
string

Unique name of service

query Parameters
address
string

Filter by address.

archived
boolean

Display with archived accounts.

header Parameters
x-pager-page
integer

Page number. Default is 1.

x-pager-limit
integer

Items per page. Default is 10. Maximum is 100.

x-order-by
string

Order by field name

x-order-dir
string
Enum: "asc" "desc"

Order direction

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

address
string

identificator E-mail address (domain is in unicode format)

comment
string

Comment

disk_size
integer

Mailbox size in bytes

disk_size_human
string

Mailbox size in human readable form

disk_usage
integer

Mailbox usage in bytes

disk_usage_human
string

Mailbox usage in human readable form

disk_usage_updated
string

Disk usage update datetime in ISO 8601 format

fwd_addresses
Array of strings

Forward list

autoreply
boolean

Autoreply enabled state

spamlevel
string
Enum: "none" "low" "medium" "high"

Spamfilter level

two_factor_auth
boolean

2-factor authentication state. Can only be set to false from API

deleted_at
string <ISO 8601 date>

Date and time the account was archived

addresses
Array of strings

Mail account associated addresses

Response samples

Content type
application/json
[
  • {
    }
]

Create E-mail account

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
address
string

identificator E-mail address (domain is in unicode format)

password
string

Length: 10-64 digits.

comment
string

Comment

fwd_addresses
Array of strings

Forward list

spamlevel
string
Enum: "none" "low" "medium" "high"

Spamfilter level

two_factor_auth
boolean

2-factor authentication state. Can only be set to false from API

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

address
string

identificator E-mail address (domain is in unicode format)

comment
string

Comment

disk_size
integer

Mailbox size in bytes

disk_size_human
string

Mailbox size in human readable form

disk_usage
integer

Mailbox usage in bytes

disk_usage_human
string

Mailbox usage in human readable form

disk_usage_updated
string

Disk usage update datetime in ISO 8601 format

fwd_addresses
Array of strings

Forward list

autoreply
boolean

Autoreply enabled state

spamlevel
string
Enum: "none" "low" "medium" "high"

Spamfilter level

two_factor_auth
boolean

2-factor authentication state. Can only be set to false from API

deleted_at
string <ISO 8601 date>

Date and time the account was archived

addresses
Array of strings

Mail account associated addresses

Request samples

Content type
application/json
{
  • "address": "string",
  • "password": "string",
  • "comment": "string",
  • "fwd_addresses": [
    ],
  • "spamlevel": "none",
  • "two_factor_auth": true
}

Response samples

Content type
application/json
[
  • {
    }
]

Get specific E-mail account

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

query Parameters
addresses
boolean

Display email account associated addresses.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

address
string

identificator E-mail address (domain is in unicode format)

comment
string

Comment

disk_size
integer

Mailbox size in bytes

disk_size_human
string

Mailbox size in human readable form

disk_usage
integer

Mailbox usage in bytes

disk_usage_human
string

Mailbox usage in human readable form

disk_usage_updated
string

Disk usage update datetime in ISO 8601 format

fwd_addresses
Array of strings

Forward list

autoreply
boolean

Autoreply enabled state

spamlevel
string
Enum: "none" "low" "medium" "high"

Spamfilter level

two_factor_auth
boolean

2-factor authentication state. Can only be set to false from API

deleted_at
string <ISO 8601 date>

Date and time the account was archived

addresses
Array of strings

Mail account associated addresses

Response samples

Content type
application/json
[
  • {
    }
]

Update E-mail account

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
address
string

identificator E-mail address (domain is in unicode format)

password
string

Length: 10-64 digits.

comment
string

Comment

fwd_addresses
Array of strings

Forward list

spamlevel
string
Enum: "none" "low" "medium" "high"

Spamfilter level

two_factor_auth
boolean

2-factor authentication state. Can only be set to false from API

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

address
string

identificator E-mail address (domain is in unicode format)

comment
string

Comment

disk_size
integer

Mailbox size in bytes

disk_size_human
string

Mailbox size in human readable form

disk_usage
integer

Mailbox usage in bytes

disk_usage_human
string

Mailbox usage in human readable form

disk_usage_updated
string

Disk usage update datetime in ISO 8601 format

fwd_addresses
Array of strings

Forward list

autoreply
boolean

Autoreply enabled state

spamlevel
string
Enum: "none" "low" "medium" "high"

Spamfilter level

two_factor_auth
boolean

2-factor authentication state. Can only be set to false from API

deleted_at
string <ISO 8601 date>

Date and time the account was archived

addresses
Array of strings

Mail account associated addresses

Request samples

Content type
application/json
{
  • "address": "string",
  • "password": "string",
  • "comment": "string",
  • "fwd_addresses": [
    ],
  • "spamlevel": "none",
  • "two_factor_auth": true
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete E-mail account

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Display listing of E-mail forwarders

Authorizations:
path Parameters
service_name
required
string

Unique name of service

query Parameters
address
string

Filter by address.

header Parameters
x-pager-page
integer

Page number. Default is 1.

x-pager-limit
integer

Items per page. Default is 10. Maximum is 100.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

address
string

E-mail address

comment
string

Comment

fwd_addresses
Array of strings

Forward list

autoreply
boolean

Autoreply enabled state

mail_to_http_url
string

URL where email is posted to

change_pw_disabled
boolean

Disable password change in webmail

webmail_fw_disabled
boolean

Disable forward in webmail

Response samples

Content type
application/json
[
  • {
    }
]

Create E-mail forwarder

Create E-mail account/forwarder

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
address
string

E-mail address

comment
string

Comment

fwd_addresses
Array of strings

Forward list

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

address
string

E-mail address

comment
string

Comment

fwd_addresses
Array of strings

Forward list

autoreply
boolean

Autoreply enabled state

mail_to_http_url
string

URL where email is posted to

change_pw_disabled
boolean

Disable password change in webmail

webmail_fw_disabled
boolean

Disable forward in webmail

Request samples

Content type
application/json
{
  • "address": "string",
  • "comment": "string",
  • "fwd_addresses": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Get specific E-mail forwarder

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

address
string

E-mail address

comment
string

Comment

fwd_addresses
Array of strings

Forward list

autoreply
boolean

Autoreply enabled state

mail_to_http_url
string

URL where email is posted to

change_pw_disabled
boolean

Disable password change in webmail

webmail_fw_disabled
boolean

Disable forward in webmail

Response samples

Content type
application/json
[
  • {
    }
]

Update E-mail forwarder

Update E-mail account/forwarder

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
address
string

E-mail address

comment
string

Comment

fwd_addresses
Array of strings

Forward list

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

address
string

E-mail address

comment
string

Comment

fwd_addresses
Array of strings

Forward list

autoreply
boolean

Autoreply enabled state

mail_to_http_url
string

URL where email is posted to

change_pw_disabled
boolean

Disable password change in webmail

webmail_fw_disabled
boolean

Disable forward in webmail

Request samples

Content type
application/json
{
  • "address": "string",
  • "comment": "string",
  • "fwd_addresses": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete E-mail forwarder

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Display listing of E-mail app passwords

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
identificator
string

identificator

resource_url
string

API url to get this entity

type
string
Enum: "zmail" "zonecloud"

Account type

name
string

Application specific password description

scopes
Array of strings

Allowed scopes for the Application Password

created
string Nullable

Application password created timestamp

last_used
string Nullable

Datestring of last use or false if password has not been used

Response samples

Content type
application/json
[
  • {
    }
]

Delete E-mail app passsword

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

asp_id
required
integer

Application password identificator

Responses

Get autoreply info for mail account

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

is_enabled
boolean

Is enabled

fromname
string

Autoreply from name

subject
string

Autoreply subject

body
string

Autoreply body

datestart
string <date>

Autoreply start date (yyyy-mm-dd)

dateend
string <date>

Autoreply end date (yyyy-mm-dd)

Response samples

Content type
application/json
[
  • {
    }
]

Update autoreply for mail account

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
is_enabled
boolean

Is enabled

fromname
string

Autoreply from name

subject
string

Autoreply subject

body
string

Autoreply body

datestart
string <date>

Autoreply start date (yyyy-mm-dd)

dateend
string <date>

Autoreply end date (yyyy-mm-dd)

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

is_enabled
boolean

Is enabled

fromname
string

Autoreply from name

subject
string

Autoreply subject

body
string

Autoreply body

datestart
string <date>

Autoreply start date (yyyy-mm-dd)

dateend
string <date>

Autoreply end date (yyyy-mm-dd)

Request samples

Content type
application/json
{
  • "is_enabled": true,
  • "fromname": "string",
  • "subject": "string",
  • "body": "string",
  • "datestart": "2019-08-24",
  • "dateend": "2019-08-24"
}

Response samples

Content type
application/json
[
  • {
    }
]

Get autoreply info for mail forwarder

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

is_enabled
boolean

Is enabled

fromname
string

Autoreply from name

subject
string

Autoreply subject

body
string

Autoreply body

datestart
string <date>

Autoreply start date (yyyy-mm-dd)

dateend
string <date>

Autoreply end date (yyyy-mm-dd)

Response samples

Content type
application/json
[
  • {
    }
]

Update autoreply for mail forwarder

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
is_enabled
boolean

Is enabled

fromname
string

Autoreply from name

subject
string

Autoreply subject

body
string

Autoreply body

datestart
string <date>

Autoreply start date (yyyy-mm-dd)

dateend
string <date>

Autoreply end date (yyyy-mm-dd)

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

is_enabled
boolean

Is enabled

fromname
string

Autoreply from name

subject
string

Autoreply subject

body
string

Autoreply body

datestart
string <date>

Autoreply start date (yyyy-mm-dd)

dateend
string <date>

Autoreply end date (yyyy-mm-dd)

Request samples

Content type
application/json
{
  • "is_enabled": true,
  • "fromname": "string",
  • "subject": "string",
  • "body": "string",
  • "datestart": "2019-08-24",
  • "dateend": "2019-08-24"
}

Response samples

Content type
application/json
[
  • {
    }
]

Get specific E-mail accounts premium status

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
package
string

Premium package handle or 'none' if not premium

package_allowed
boolean

Indicates if package can be enabled

disk_size
integer

Premium package allowed disk size in bytes

disk_size_human
string

Premium package allowed human readable disk size

price_month
number <float>

Premium package month price excluding VAT

price_year
number <float>

Premium package year price excluding VAT

trial_period
integer

Trial period in days

Response samples

Content type
application/json
[
  • {
    }
]

Turn on/off specific E-mail accounts premium package

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
package
string

Package handle of the premium package to be activated (use OPTIONS call to see available package handles)

Responses

Response Schema: application/json
Array ()
package
string

Premium package handle or 'none' if not premium

package_allowed
boolean

Indicates if package can be enabled

disk_size
integer

Premium package allowed disk size in bytes

disk_size_human
string

Premium package allowed human readable disk size

price_month
number <float>

Premium package month price excluding VAT

price_year
number <float>

Premium package year price excluding VAT

trial_period
integer

Trial period in days

Request samples

Content type
application/json
{
  • "package": "string"
}

Response samples

Content type
application/json
[
  • {
    }
]

See available premium packages for specific E-mail account or new account (enter @Virtserver.Name as identificator)

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
package
string

Premium package handle or 'none' if not premium

package_allowed
boolean

Indicates if package can be enabled

disk_size
integer

Premium package allowed disk size in bytes

disk_size_human
string

Premium package allowed human readable disk size

price_month
number <float>

Premium package month price excluding VAT

price_year
number <float>

Premium package year price excluding VAT

trial_period
integer

Trial period in days

Response samples

Content type
application/json
[
  • {
    }
]

Get webhosting DKIM public key

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Activate DKIM signing for webhosting domain

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Delete DKIM key from webhosting

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Host

Get apache config

Get apache config for this (sub)domain

Authorizations:
path Parameters
service_name
required
string

Unique name of service

hostname
required
string

Hostname (main or subdomain)

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

scheme
string
Enum: "https" "http"

HTTP scheme

homedir
string

Home directory path

docroot
string

Directory where Apache serves files from. Relative to homedir. Not used when proxy_backend_port is configured.

proxy_backend_port
string Nullable

Mod_proxy port. Used to serve applications using loopback IP address (e.g NodeJS application). Disabled serving PHP over apache.

php_version
string

PHP version

php_version_deprecated
boolean

PHP version deprecation status

php_version_test_url
string

URL to GUI to test other PHP versions without changing server configs

is_php_version_owner
boolean

Whether the PHP version on this (sub)domain affects others (false when use_http_settings_for_https or HTTP redirect are true, or a proxy_backend_port is configured for subdomain).

php_upgrade_strategy
string
Value: ""

Strategy for auto updating PHP versions. Check OPTIONS query for values

Response samples

Content type
application/json
[
  • {
    }
]

Update apache config

Update apache config for this (sub)domain. When host has both schemes present, scheme must be provided in request body.

Authorizations:
path Parameters
service_name
required
string

Unique name of service

hostname
required
string

Hostname (main or subdomain)

Request Body schema: application/json
docroot
string

Directory where Apache serves files from. Relative to homedir. Not used when proxy_backend_port is configured.

proxy_backend_port
string Nullable

Mod_proxy port. Used to serve applications using loopback IP address (e.g NodeJS application). Disabled serving PHP over apache.

php_version
string

PHP version

php_upgrade_strategy
string
Value: ""

Strategy for auto updating PHP versions. Check OPTIONS query for values

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

scheme
string
Enum: "https" "http"

HTTP scheme

homedir
string

Home directory path

docroot
string

Directory where Apache serves files from. Relative to homedir. Not used when proxy_backend_port is configured.

proxy_backend_port
string Nullable

Mod_proxy port. Used to serve applications using loopback IP address (e.g NodeJS application). Disabled serving PHP over apache.

php_version
string

PHP version

php_version_deprecated
boolean

PHP version deprecation status

php_version_test_url
string

URL to GUI to test other PHP versions without changing server configs

is_php_version_owner
boolean

Whether the PHP version on this (sub)domain affects others (false when use_http_settings_for_https or HTTP redirect are true, or a proxy_backend_port is configured for subdomain).

php_upgrade_strategy
string
Value: ""

Strategy for auto updating PHP versions. Check OPTIONS query for values

Request samples

Content type
application/json
{
  • "docroot": "string",
  • "proxy_backend_port": "string",
  • "php_version": "string",
  • "php_upgrade_strategy": ""
}

Response samples

Content type
application/json
[
  • {
    }
]

Get apache config options

Get applicable apache config options

Authorizations:
path Parameters
service_name
required
string

Unique name of service

hostname
required
string

Hostname (main or subdomain)

Responses

Response Schema: application/json
object (HostApacheOptions)

List of options when applicable

object (HostApacheOptions)

List of options when applicable

Response samples

Content type
application/json
{
  • "https": {
    },
  • "http": {
    }
}

Get a single (sub)domain

Authorizations:
path Parameters
service_name
required
string

Unique name of service

hostname
required
string

Hostname (main or subdomain)

query Parameters
check_ready
boolean

Checks for host reachability; adds a ready boolean to the response

Responses

Response Schema: application/json
Array ()
identificator
string

identificator

resource_url
string

API url to get this entity

name
string

Host name. Required when creating a new host. Cannot be updated.

type
string
Enum: "parent" "child"

Indicates whether host is a primary domain or a subdomain.

scheme
string
Enum: "http" "https" "http&https" "http|https"

What scheme is used to serve this host

letsencrypt_status
string|null
Enum: "waiting" "failed"

Let's Encrypt certificate processing status

certificate
integer|null

SSL certificate id

ready
boolean

Indicates that host is deployed to server and is usable. Only shown when check_ready query parameter is true.

Array of objects (HostApache)

Apache settings per scheme. Only present when the apache query parameter is used.

Response samples

Content type
application/json
[
  • {
    }
]

Get all (sub)domains

Authorizations:
path Parameters
service_name
required
string

Unique name of service

query Parameters
hostname
string

Only hosts whose name contains this string

apache
boolean

Include apache settings for each host

apache[php_version_deprecated]
boolean

Only hosts that use a deprecated PHP version when true

header Parameters
x-pager-page
integer

Page number. Default is 1.

x-pager-limit
integer

Items per page. Default is 10. Maximum is 100.

Responses

Response Schema: application/json
Array ()
identificator
string

identificator

resource_url
string

API url to get this entity

name
string

Host name. Required when creating a new host. Cannot be updated.

type
string
Enum: "parent" "child"

Indicates whether host is a primary domain or a subdomain.

scheme
string
Enum: "http" "https" "http&https" "http|https"

What scheme is used to serve this host

letsencrypt_status
string|null
Enum: "waiting" "failed"

Let's Encrypt certificate processing status

certificate
integer|null

SSL certificate id

ready
boolean

Indicates that host is deployed to server and is usable. Only shown when check_ready query parameter is true.

Array of objects (HostApache)

Apache settings per scheme. Only present when the apache query parameter is used.

Response samples

Content type
application/json
[
  • {
    }
]

Create new (sub)domain

Create a new https host for webhosting service. name is required and must be a subdomain for services main domain.

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
name
string

Host name. Required when creating a new host. Cannot be updated.

certificate
integer|null

SSL certificate id

Responses

Response Schema: application/json
Array ()
identificator
string

identificator

resource_url
string

API url to get this entity

name
string

Host name. Required when creating a new host. Cannot be updated.

type
string
Enum: "parent" "child"

Indicates whether host is a primary domain or a subdomain.

scheme
string
Enum: "http" "https" "http&https" "http|https"

What scheme is used to serve this host

letsencrypt_status
string|null
Enum: "waiting" "failed"

Let's Encrypt certificate processing status

certificate
integer|null

SSL certificate id

ready
boolean

Indicates that host is deployed to server and is usable. Only shown when check_ready query parameter is true.

Array of objects (HostApache)

Apache settings per scheme. Only present when the apache query parameter is used.

Request samples

Content type
application/json
{
  • "name": "string",
  • "certificate": null
}

Response samples

Content type
application/json
[
  • {
    }
]

MySQL

Get MySQL account list

Authorizations:
path Parameters
service_name
required
string

Unique name of service

header Parameters
x-pager-page
integer

Page number. Default is 1.

x-pager-limit
integer

Items per page. Default is 10. Maximum is 100.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

username
string

identificator readonly in update mode

comment
string

User assigned comment to account

require_ssl
boolean

Require SSL connection

hosts
Array of strings

Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported)

Response samples

Content type
application/json
[
  • {
    }
]

Add new MySQL account

username field will be used as suffix for virtual server based name. When prefix is given inside name, then it's automatically detected

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
username
string

identificator readonly in update mode

comment
string

User assigned comment to account

password
string

Length: 10-64 digits.

require_ssl
boolean

Require SSL connection

hosts
Array of strings

Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported)

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

username
string

identificator readonly in update mode

comment
string

User assigned comment to account

require_ssl
boolean

Require SSL connection

hosts
Array of strings

Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported)

Request samples

Content type
application/json
{
  • "username": "dnXXX_myname",
  • "comment": "New database for development application",
  • "password": "Rea11yS7r0ngPassw0rd",
  • "require_ssl": true,
  • "hosts": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Get MySQL account

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_username
required
string

Database account username

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

username
string

identificator readonly in update mode

comment
string

User assigned comment to account

require_ssl
boolean

Require SSL connection

hosts
Array of strings

Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported)

Response samples

Content type
application/json
[
  • {
    }
]

Update MySQL account

only comment, password and hosts can be updated

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_username
required
string

Database account username

Request Body schema: application/json
username
string

identificator readonly in update mode

comment
string

User assigned comment to account

password
string

Length: 10-64 digits.

require_ssl
boolean

Require SSL connection

hosts
Array of strings

Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported)

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

username
string

identificator readonly in update mode

comment
string

User assigned comment to account

require_ssl
boolean

Require SSL connection

hosts
Array of strings

Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported)

Request samples

Content type
application/json
{
  • "username": "dnXXX_myname",
  • "comment": "New database for development application",
  • "password": "Rea11yS7r0ngPassw0rd",
  • "require_ssl": true,
  • "hosts": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete MySQL account

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_username
required
string

Database account username

Responses

Get MySQL Database list

Authorizations:
path Parameters
service_name
required
string

Unique name of service

header Parameters
x-pager-page
integer

Page number. Default is 1.

x-pager-limit
integer

Items per page. Default is 10. Maximum is 100.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

name
required
string

identificator

comment
string

User assigned comment to database

collation
string

Available only during creation. Defaults to utf8mb4_unicode_ci (check options request for available collations).

disk_usage
string

Database disk usage in bytes

disk_usage_human
string

Database disk usage in human readable format

disk_usage_updated
string

Disk usage update datetime

Response samples

Content type
application/json
[
  • {
    }
]

Add new MySQL database

name field will be used as suffix for virtual server based name. When prefix is given inside name, then it's automatically detected

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
name
required
string

identificator

comment
string

User assigned comment to database

collation
string

Available only during creation. Defaults to utf8mb4_unicode_ci (check options request for available collations).

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

name
required
string

identificator

comment
string

User assigned comment to database

collation
string

Available only during creation. Defaults to utf8mb4_unicode_ci (check options request for available collations).

disk_usage
string

Database disk usage in bytes

disk_usage_human
string

Database disk usage in human readable format

disk_usage_updated
string

Disk usage update datetime

Request samples

Content type
application/json
{
  • "name": "string",
  • "comment": "string",
  • "collation": "string"
}

Response samples

Content type
application/json
[
  • {
    }
]

Get database options

Currently returns available collations for database creation

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
string

Response samples

Content type
application/json
[
  • "string"
]

Get MySQL Database

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_name
required
string

Database name

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

name
required
string

identificator

comment
string

User assigned comment to database

collation
string

Available only during creation. Defaults to utf8mb4_unicode_ci (check options request for available collations).

disk_usage
string

Database disk usage in bytes

disk_usage_human
string

Database disk usage in human readable format

disk_usage_updated
string

Disk usage update datetime

Response samples

Content type
application/json
[
  • {
    }
]

Delete MySQL database

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_name
required
string

Database name

Responses

Get all SQL account permissions

Get all account detailed permissions to all databases that it has access

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_username
required
string

Database account username

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

username
string

Database username

database
string

Database name

permissions
Array of strings

Attributes that are allowed for this database

Response samples

Content type
application/json
[
  • {
    }
]

Get available permissions for SQL account

Get list of supported MySQL permissions for this account

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_username
required
string

Database account username

Responses

Response Schema: application/json
Array ()
string

Response samples

Content type
application/json
[
  • "string"
]

Get SQL account permissions for specific database

Get all account detailed permissions to given database

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_username
required
string

Database account username

database_name
required
string

Database name

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

username
string

Database username

database
string

Database name

permissions
Array of strings

Attributes that are allowed for this database

Response samples

Content type
application/json
[
  • {
    }
]

Set SQL account permissions for specific database

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_username
required
string

Database account username

database_name
required
string

Database name

Request Body schema: application/json
permissions
Array of strings

Attributes that are allowed for this database

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

username
string

Database username

database
string

Database name

permissions
Array of strings

Attributes that are allowed for this database

Request samples

Content type
application/json
{
  • "permissions": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Remove SQL account permissions for specific database

Authorizations:
path Parameters
service_name
required
string

Unique name of service

database_username
required
string

Database account username

database_name
required
string

Database name

Responses

SSL

Get specific SSL from this webhosting server

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

id
integer

identificator

name
required
string

Certificate name

cn
string

CN

connected
boolean

Connected to SSL cert in SSL services

letsencrypt
boolean

Is Let's Encrypt auto renewal certificate

created
string

Created datetime in ISO 8601 format

private_key
required
string

Private key

certificate
required
string

Certificate contents

ca_certificate
string

CA Certificate contents

expires
string

Expire datetime in ISO 8601 format

hosts
Array of strings

Hosts where this certificate is used

Array of objects

Relations

Response samples

Content type
application/json
[
  • {
    }
]

Update certificate data

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
name
required
string

Certificate name

private_key
required
string

Private key

certificate
required
string

Certificate contents

ca_certificate
string

CA Certificate contents

hosts
Array of strings

Hosts where this certificate is used

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

id
integer

identificator

name
required
string

Certificate name

cn
string

CN

connected
boolean

Connected to SSL cert in SSL services

letsencrypt
boolean

Is Let's Encrypt auto renewal certificate

created
string

Created datetime in ISO 8601 format

private_key
required
string

Private key

certificate
required
string

Certificate contents

ca_certificate
string

CA Certificate contents

expires
string

Expire datetime in ISO 8601 format

hosts
Array of strings

Hosts where this certificate is used

Array of objects

Relations

Request samples

Content type
application/json
{
  • "name": "string",
  • "private_key": "string",
  • "certificate": "string",
  • "ca_certificate": "string",
  • "hosts": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete SSL certificate

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Get all SSL certificates that are added to this webhosting server

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

id
integer

identificator

name
required
string

Certificate name

cn
string

CN

connected
boolean

Connected to SSL cert in SSL services

letsencrypt
boolean

Is Let's Encrypt auto renewal certificate

created
string

Created datetime in ISO 8601 format

private_key
required
string

Private key

certificate
required
string

Certificate contents

ca_certificate
string

CA Certificate contents

expires
string

Expire datetime in ISO 8601 format

hosts
Array of strings

Hosts where this certificate is used

Array of objects

Relations

Response samples

Content type
application/json
[
  • {
    }
]

Add new SSL certificate

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
name
required
string

Certificate name

private_key
required
string

Private key

certificate
required
string

Certificate contents

ca_certificate
string

CA Certificate contents

hosts
Array of strings

Hosts where this certificate is used

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

id
integer

identificator

name
required
string

Certificate name

cn
string

CN

connected
boolean

Connected to SSL cert in SSL services

letsencrypt
boolean

Is Let's Encrypt auto renewal certificate

created
string

Created datetime in ISO 8601 format

private_key
required
string

Private key

certificate
required
string

Certificate contents

ca_certificate
string

CA Certificate contents

expires
string

Expire datetime in ISO 8601 format

hosts
Array of strings

Hosts where this certificate is used

Array of objects

Relations

Request samples

Content type
application/json
{
  • "name": "string",
  • "private_key": "string",
  • "certificate": "string",
  • "ca_certificate": "string",
  • "hosts": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Crontab

Display listing of crontabs

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

identificator
integer

identificator

name
string

Name

type
string
Enum: "http" "system"

Crontab exec type (http/system)

active
boolean

Is active

report
string
Enum: "never" "onerror" "onoutputorerror" "onoutput" "always"

When to send report

report_email
string

Report e-mail

command
string

Crontab command location (url or path)

priority
string
Enum: "low" "normal" "high"

Priority

schedule
string

Schedule

timezone
string
Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki"

Timezone (only available when type==system)

runtime_limit
integer
Enum: 900 1800 3600 10800 86340

Runtime limit in seconds (only available when type==system)

Response samples

Content type
application/json
[
  • {
    }
]

Create crontab

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Request Body schema: application/json
command
string

Crontab command location (url or path). Crontab commands with type "system" may use path and binary variables from the options response.

name
string

Name

type
string
Enum: "http" "system"

Crontab exec type (http/system)

active
boolean

Is active

report
string
Enum: "never" "onerror" "onoutputorerror" "onoutput" "always"

When to send report

report_email
string

Report e-mail

priority
string
Enum: "low" "normal" "high"

Priority

schedule
string

Schedule

timezone
string
Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki"

Timezone (only available when type==system)

runtime_limit
integer
Enum: 900 1800 3600 10800 86340

Runtime limit in seconds (only available when type==system)

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

identificator
integer

identificator

name
string

Name

type
string
Enum: "http" "system"

Crontab exec type (http/system)

active
boolean

Is active

report
string
Enum: "never" "onerror" "onoutputorerror" "onoutput" "always"

When to send report

report_email
string

Report e-mail

command
string

Crontab command location (url or path)

priority
string
Enum: "low" "normal" "high"

Priority

schedule
string

Schedule

timezone
string
Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki"

Timezone (only available when type==system)

runtime_limit
integer
Enum: 900 1800 3600 10800 86340

Runtime limit in seconds (only available when type==system)

Request samples

Content type
application/json
{
  • "command": "string",
  • "name": "string",
  • "type": "http",
  • "active": true,
  • "report": "never",
  • "report_email": "string",
  • "priority": "low",
  • "schedule": "string",
  • "timezone": "UTC",
  • "runtime_limit": 900
}

Response samples

Content type
application/json
[
  • {
    }
]

Get crontab options

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
exec_type
Array of strings

Execution types

schedule_type
Array of strings

Schedule types

report
Array of strings

Reporting options

nice
Array of strings

Priority of crontab

timezone
Array of strings

Available timezones

default_timezone
string

Default timezone based on server location

runtime_limit
Array of integers

Runtime limit in seconds

object

List of variables which can be used in system commands

Response samples

Content type
application/json
{
  • "exec_type": [
    ],
  • "schedule_type": [
    ],
  • "report": [
    ],
  • "nice": [
    ],
  • "timezone": [
    ],
  • "default_timezone": "string",
  • "runtime_limit": [
    ],
  • "command_variables": {
    }
}

Display specific crontab

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

identificator
integer

identificator

name
string

Name

type
string
Enum: "http" "system"

Crontab exec type (http/system)

active
boolean

Is active

report
string
Enum: "never" "onerror" "onoutputorerror" "onoutput" "always"

When to send report

report_email
string

Report e-mail

command
string

Crontab command location (url or path)

priority
string
Enum: "low" "normal" "high"

Priority

schedule
string

Schedule

timezone
string
Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki"

Timezone (only available when type==system)

runtime_limit
integer
Enum: 900 1800 3600 10800 86340

Runtime limit in seconds (only available when type==system)

Response samples

Content type
application/json
[
  • {
    }
]

Update crontab

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Request Body schema: application/json
command
string

Crontab command location (url or path). Crontab commands with type "system" may use path and binary variables from the options response.

name
string

Name

type
string
Enum: "http" "system"

Crontab exec type (http/system)

active
boolean

Is active

report
string
Enum: "never" "onerror" "onoutputorerror" "onoutput" "always"

When to send report

report_email
string

Report e-mail

priority
string
Enum: "low" "normal" "high"

Priority

schedule
string

Schedule

timezone
string
Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki"

Timezone (only available when type==system)

runtime_limit
integer
Enum: 900 1800 3600 10800 86340

Runtime limit in seconds (only available when type==system)

Responses

Response Schema: application/json
Array ()
resource_url
string

API url to get this entity

identificator
integer

identificator

name
string

Name

type
string
Enum: "http" "system"

Crontab exec type (http/system)

active
boolean

Is active

report
string
Enum: "never" "onerror" "onoutputorerror" "onoutput" "always"

When to send report

report_email
string

Report e-mail

command
string

Crontab command location (url or path)

priority
string
Enum: "low" "normal" "high"

Priority

schedule
string

Schedule

timezone
string
Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki"

Timezone (only available when type==system)

runtime_limit
integer
Enum: 900 1800 3600 10800 86340

Runtime limit in seconds (only available when type==system)

Request samples

Content type
application/json
{
  • "command": "string",
  • "name": "string",
  • "type": "http",
  • "active": true,
  • "report": "never",
  • "report_email": "string",
  • "priority": "low",
  • "schedule": "string",
  • "timezone": "UTC",
  • "runtime_limit": 900
}

Response samples

Content type
application/json
[
  • {
    }
]

Delete crontab

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Redis

Get Redis database process

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
password
string

Redis auth key

port
string

Redis port

ip
string

IP address

host
string

Hostname

resource_url
string

API url to get this entity

id
integer

Application id

name
string

Application name

status
string

Application status

enabled
boolean

Application is enabled

Response samples

Content type
application/json
[
  • {
    }
]

Activate Redis database

Authorizations:
path Parameters
service_name
required
string

Unique name of service

Responses

Response Schema: application/json
Array ()
password
string

Redis auth key

port
string

Redis port

ip
string

IP address

host
string

Hostname

resource_url
string

API url to get this entity

id
integer

Application id

name
string

Application name

status
string

Application status

enabled
boolean

Application is enabled

Response samples

Content type
application/json
[
  • {
    }
]

Get specified Redis database process

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
password
string

Redis auth key

port
string

Redis port

ip
string

IP address

host
string

Hostname

resource_url
string

API url to get this entity

id
integer

Application id

name
string

Application name

status
string

Application status

enabled
boolean

Application is enabled

Response samples

Content type
application/json
[
  • {
    }
]

Start Redis process

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
password
string

Redis auth key

port
string

Redis port

ip
string

IP address

host
string

Hostname

resource_url
string

API url to get this entity

id
integer

Application id

name
string

Application name

status
string

Application status

enabled
boolean

Application is enabled

Response samples

Content type
application/json
[
  • {
    }
]

Restart Redis process

Authorizations:
path Parameters
service_name
required
string

Unique name of service

identificator
required
string

Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property.

Responses

Response Schema: application/json
Array ()
password
string

Redis auth key

port
string

Redis port

ip
string

IP address

host
string

Hostname

resource_url
string

API url to get this entity

id
integer

Application id

name
string

Application name

status
string

Application status

enabled
boolean

Application is enabled

Response samples

Content type
application/json
[
  • {
[...]
